Name: grepcidr
Version: 2.0
Release: 2%{?dist}
Summary: Filter IPv4 and IPv6 addresses matching CIDR patterns
License: GPL
URL: http://www.pc-tools.net/unix/%{name}/
Source0: http://www.pc-tools.net/files/unix/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: gcc


%description
grepcidr can be used to filter a list of IP addresses against one or more
Classless Inter-Domain Routing (CIDR) specifications. As with grep, there are
options to invert matching and load patterns from a file. grepcidr is capable
of efficiently processing large numbers of IPs and networks.

grepcidr has endless uses in network software, including: mail filtering and
processing, network security, log analysis, and many custom applications.

For detailed instructions and examples, please see the README file or man page.
A couple examples of usage:

  grepcidr 2001:db8::/32 logfile
  grepcidr 66.249.64.0/19 access.log


%prep
%setup -q


%build
CC=gcc CFLAGS="%{optflags}" \
make -e %{?_smp_mflags}


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Apr 20 2016 Philippe Kueck <projects@unixadm.org> - 2.0-1
- initial packaging
